.ci-container {
    position: relative;
    flex: 1;

    &.ci-container-disabled {
        .ci-control-container {
            color: var(--text-color-dark);
            background-color: var(--contrast-light);
        }
    }

    .ci-control-container {
        position: relative;
        display: flex;
        align-items: center;

        outline: 0;
        border-radius: 0.25rem;
        background: var(--form-control-bg);
        border: 1px solid var(--border);
        box-sizing: border-box;
        min-height: 2rem;
        cursor: pointer;

        .form-control:focus {
            border: none !important;
        }

        .input-text {
            padding: 0.5rem;
            cursor: pointer;
            border: none;
            border-radius: unset;
        }

        .clear {
            width: 2rem;
            height: 2rem;

            display: flex;
            align-items: center;
            justify-content: center;
            cursor: pointer;
            background: none;

            i {
                color: var(--text-color) !important;
                text-shadow: 0 1px 1px rgba(0, 0, 0, .35);

                &.fa-times {
                    opacity: 0.6;
                }
            }
        }
    }
}